org.apache.sling.validation.impl

## Class ValidatorContextImpl

- java.lang.Object
- - org.apache.sling.validation.impl.ValidatorContextImpl

All Implemented Interfaces:
  org.apache.sling.validation.spi.ValidatorContext

    public class ValidatorContextImpl
    extends Object
    implements org.apache.sling.validation.spi.ValidatorContext

### Constructor Summary

Constructors
Constructor and Description
`ValidatorContextImpl(String location, int severity, org.apache.sling.api.resource.ValueMap valueMap, org.apache.sling.api.resource.Resource resource, ResourceBundle defaultResourceBundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceBundle` `getDefaultResourceBundle()`
`String` `getLocation()`
`org.apache.sling.api.resource.Resource` `getResource()`
`int` `getSeverity()`
`org.apache.sling.api.resource.ValueMap` `getValueMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidatorContextImpl

    public ValidatorContextImpl(@Nonnull
                                String location,
                                int severity,
                                @Nonnull
                                org.apache.sling.api.resource.ValueMap valueMap,
                                org.apache.sling.api.resource.Resource resource,
                                @Nonnull
                                ResourceBundle defaultResourceBundle)

### Method Detail

#### getLocation

    @Nonnull
    public String getLocation()

Specified by:
  `getLocation` in interface `org.apache.sling.validation.spi.ValidatorContext`

#### getValueMap

    @Nonnull
    public org.apache.sling.api.resource.ValueMap getValueMap()

Specified by:
  `getValueMap` in interface `org.apache.sling.validation.spi.ValidatorContext`

#### getResource

    @CheckForNull
    public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `org.apache.sling.validation.spi.ValidatorContext`

#### getSeverity

    public int getSeverity()

Specified by:
  `getSeverity` in interface `org.apache.sling.validation.spi.ValidatorContext`

#### getDefaultResourceBundle

    @Nonnull
    public ResourceBundle getDefaultResourceBundle()

Specified by:
  `getDefaultResourceBundle` in interface `org.apache.sling.validation.spi.ValidatorContext`